阿里云主机php版本升级与资源耗尽

前段时间升级wordpress5.1的时候出了些变故,评论的ajax功能失效,让林三着实折腾了一段时间。后来有了新的更新推送,更新也是无妨的,或许会更加安全,然而后台还提示了我的php版本。是一段英文提示,大致意思是你的php版本太低,所以不能升级wordpress到最新版本,只有升级了php版本后才能升级此版本的wordpress程序。

对于升级博客程序本身没有兴趣,所以搁置了一段时间。直到网站被关闭2次…

第一知道网站挂了是网友给我的“林三随笔”留言才知道,因为我第一时间都是开博客,林三在线偏重于技术,就有技术的时候才去看。那时候打开“林三在线”就是阿里云的网站关闭提示,要我找到资源耗尽的原因,林三自然是无法查弄,只是生硬的到主机管理的后台启用了网站。

后来就是网站被镜像的风波,通过研究程序和技巧,意外也发现了程序被植入恶意代码,通过重新安装程序做了个简单的代码清洗。本以为代码污染的事情过去了,就不会出现主机关停。

结果前几天第二次收到了提示,说是网站资源耗尽。官方的猜测原因是access数据库超过30M和程序编写不合理,对于林三来说是无法查询的。我简单的查看了每天的流量情况,都是30M左右,也没有异常的流量啊,那么问题是出自于哪里?或许是来自主题,或许是来自程序。

总体感受,还是要学习知识,自己懂代码才能知道原因吧。在主机的高级环境设置里面,意外的发现了有个PHP版本设置,于是就将版本设置成7.2后,根据提示重新了数据库密码为41位加密。

未经允许不得转载:林三定制 » 阿里云主机php版本升级与资源耗尽

赞 (0) 打赏

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏